#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (built from python3-jaraco.packaging.spec)

%define		egg_name	jaraco.packaging
%define		pypi_name	jaraco.packaging
Summary:	Tools to supplement packaging Python releases
Summary(pl.UTF-8):	Narzędzia wspierające pakietowanie wydań modułów Pythona
Name:		python-%{pypi_name}
Version:	6.2
Release:	5
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/jaraco-packaging/
Source0:	https://files.pythonhosted.org/packages/source/j/jaraco.packaging/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	ac36cfb217276af107bcbcb60bced1ec
URL:		https://pypi.org/project/jaraco.packaging/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools >= 1:31.0.1
BuildRequires:	python-setuptools_scm >= 1.15
%if %{with tests}
BuildRequires:	python-importlib_metadata
BuildRequires:	python-pytest >= 3.5
BuildRequires:	python-six >= 1.4
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools >= 1:31.0.1
BuildRequires:	python3-setuptools_scm >= 1.15
%if %{with tests}
%if "%{py3_ver}" < "3.8"
BuildRequires:	python3-importlib_metadata
%endif
BuildRequires:	python3-pytest >= 3.5
BuildRequires:	python3-six >= 1.4
%endif
%endif
%if %{with doc}
BuildRequires:	python-rst.linker >= 1.9
BuildRequires:	sphinx-pdg-2
%endif
Requires:	python-jaraco
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A few tools to supplement packaging Python releases.

%description -l pl.UTF-8
Kilka narzędzi wspierających pakietowanie wydań modułów Pythona.

%package -n python3-%{pypi_name}
Summary:	Tools to supplement packaging Python releases
Summary(pl.UTF-8):	Narzędzia wspierające pakietowanie wydań modułów Pythona
Group:		Libraries/Python
Requires:	python3-jaraco
Requires:	python3-modules >= 1:3.2

%description -n python3-%{pypi_name}
A few tools to supplement packaging Python releases.

%description -n python3-%{pypi_name} -l pl.UTF-8
Kilka narzędzi wspierających pakietowanie wydań modułów Pythona.

%package apidocs
Summary:	API documentation for Python jaraco.packaging module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona jaraco.packaging
Group:		Documentation

%description apidocs
API documentation for Python jaraco.packaging module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona jaraco.packaging.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
# no Makefile
cd docs
PYTHONPATH=$(pwd)/.. \
sphinx-build-2 -b html . _build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean

# packaged in python-jaraco.spec
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/jaraco/__init__.py*

# packaged in python3 variant only
%{__rm} $RPM_BUILD_ROOT%{_bindir}/{dependency-tree,upload-package}
%endif

%if %{with python3}
%py3_install

# packaged in python-jaraco.spec
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/jaraco/__init__.py
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/jaraco/__pycache__/__init__.*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%{py_sitescriptdir}/jaraco/packaging
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%attr(755,root,root) %{_bindir}/dependency-tree
%attr(755,root,root) %{_bindir}/upload-package
%{py3_sitescriptdir}/jaraco/packaging
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-jaraco.packaging.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 31fad66
- rebuild with tests and docs

* Wed Mar 09 2022 Jakub Bogusz <qboosh@pld-linux.org> f57478b
- python2 related cleanup, switched doc to python2

* Mon Mar 01 2021 Jan Palus <atler@pld-linux.org> 39fc7e1
- disable python3 here

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> e584268
- release 4 (by relup.sh)

* Sat Jan 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 32b553e
- python-setuptools epoch

* Sat Nov 09 2019 Marcin Krol <hawk@tld-linux.org> b2c18d6
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 006eb37
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Oct 25 2019 Jakub Bogusz <qboosh@pld-linux.org> c1c0cff
- updated to 6.2

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 60ffabb
- added -apidocs

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> d5c345c
- use jaraco/__init__.py files packaged in python-jaraco.spec

* Wed Jul 04 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d3ae86
- install init files, too

* Wed Jul 04 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e105cc2
- initial

